Get connection refresh status

Get connection refresh status#

Description#

Returns details about a specific connection refresh status, based on its ID. To retrieve details about a specific refresh, provide its ‘jobId’.

GET /api/v1/connections/{connectionId}/status

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

connectionId

path

string

true

The ID of the connection to return details about

jobId

query

string

false

The ID of the job running for a connection

workspaceId

query

string

false

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/status \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/status \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/status" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/status', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": {
    "connectionId": "string",
    "created": "string",
    "createdBy": "string",
    "destinationMetadata": {},
    "destinationParameters": {},
    "destinationStatus": "string",
    "destinationWorkspaceId": "string",
    "error": "string",
    "jobId": "string",
    "sourceMetadata": {},
    "sourceParameters": {},
    "sourceStatus": "string",
    "sourceWorkspaceId": "string",
    "updated": "string",
    "workspaceId": "string"
  },
  "code": "integer"
}